use ExtUtils::MakeMaker;

use 5.010;

my $version = '0.10';

WriteMakefile
 ( NAME	 	=> 'Net::Domain::TMCH'
 , VERSION	=> $version

 , PREREQ_PM    =>
     { Convert::X509                => 0
     , Crypt::OpenSSL::VerifyX509   => 0
     , Crypt::OpenSSL::X509         => 0
     , Data::Dumper                 => 0
     , Digest::SHA2                 => 0   # for SHA256 support
     , File::Basename               => 0
     , File::Slurp                  => 0
     , Getopt::Long                 => 0
     , LWP::UserAgent               => 0
     , MIME::Base64                 => 0
     , POSIX                        => 0
     , URI                          => 0
     , XML::Compile::WSS            => '1.08'
     , XML::Compile::WSS::Signature => '1.09'
     , XML::LibXML                  => 0
     }
 , EXE_FILES    => []
 , AUTHOR       => 'Mark Overmeer'
 , ABSTRACT     => 'Trademark Clearing House'
 , LICENSE      => 'perl'
 );

### used by oodist during production of distribution
sub MY::postamble { <<'__POSTAMBLE' }

# for DIST
RAWDIR          = ../public_html/net-domain-tmch/raw
DISTDIR         = ../public_html/net-domain-tmch/source
LICENSE         = artistic

# for POD
FIRST_YEAR      = 2013
EMAIL           = perl@overmeer.net
EXTENDS         = ../XMLCompile:../XMLCache:../XMLC14N:../WSSSIG
WEBSITE         = http://perl.overmeer.net/xml-compile/
PODTAIL		= ../XML-shared-podtail
__POSTAMBLE
